Bug 224062 - [JJ]: switch user shouldn't be displayed when not available
Summary: [JJ]: switch user shouldn't be displayed when not available
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-kickoff (show other bugs)
Version: unspecified
Platform: Compiled Sources Unspecified
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2010-01-24 18:05 UTC by Davide Bettio
Modified: 2012-06-22 14:51 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.9


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Davide Bettio 2010-01-24 18:05:57 UTC
Version:            (using Devel)
Installed from:    Compiled sources

switch user shouldn't be displayed when not available (kickoff displays it even if kdm is not running).
Comment 1 Giorgos Tsiapaliokas 2011-01-11 11:41:38 UTC
i can confirm the bug.

my box's specifications are,


Qt: 4.7.1
KDE Development Platform: 4.6.40 (4.7 >= 20101222)
os:gentoo ~amd64
Comment 2 Martin Flöser 2011-12-08 20:38:32 UTC
changing to wishlist as this is actually a new feature. This is actually easy to fix. Just check in core/leavemodel.cpp whether switch user is supported. See for example code for kscreenlocker which provides such a check.
Comment 3 Gregor Tätzner 2012-06-21 18:09:18 UTC
Git commit e01d8c3478d8768e96a0f123bfb1a3b358efd077 by Gregor Tätzner.
Committed on 21/06/2012 at 20:01.
Pushed by gregort into branch 'master'.

kickoff: Don't display 'switch user' when it is not available.

Add switch user check to kickoff leave model
Thanks to Brian LaRochelle
REVIEW: 104879

M  +2    -1    plasma/desktop/applets/kickoff/core/leavemodel.cpp

http://commits.kde.org/kde-workspace/e01d8c3478d8768e96a0f123bfb1a3b358efd077